#
# Conditional build:
%bcond_with	cg	# use NVIDIA Cg compiler
#
Summary:	Simple still OpenEXR image viewer
Summary(pl.UTF-8):	Prosta przeglądarka nieruchomych obrazów OpenEXR
Name:		openexr_viewers
Version:	2.2.0
Release:	2
License:	BSD
Group:		Libraries
Source0:	http://download.savannah.gnu.org/releases/openexr/%{name}-%{version}.tar.gz
# Source0-md5:	62604daecfefddbb57f701d61ca37d7d
Patch0:		%{name}-am.patch
URL:		http://www.openexr.com/
BuildRequires:	OpenEXR-devel >= 2.2.0
BuildRequires:	OpenGL-devel
%{?with_cg:BuildRequires:	OpenGL-glut-devel}
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1.6.3
%{?with_cg:BuildRequires:	cg-devel}
BuildRequires:	fltk-gl-devel >= 1.1
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	openexr_ctl-devel >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	zlib-devel
Requires:	OpenEXR >= 2.2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
exrdisplay is a simple still image viewer that optionally applies
color transforms to OpenEXR images, using CTL.

%if %{with cg}
playexr is a program that plays back OpenEXR image sequences,
optionally with CTL support, applying rendering and display
transforms.
%endif

%description -l pl.UTF-8
exrdisplay to prosta przeglądarka nieruchomych obrazów opcjonalnie
stosująca na obrazach OpenEXR przekształcenia kolorów przy użyciu CTL.

%if %{with cg}
playexr to program odtwarzający sekwencje obrazów OpenEXR z opcjonalną
obsługą CTL i stosowaniem przekształceń renderingu i wyświetlania.
%endif

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# useless currently
%{__rm} $RPM_BUILD_ROOT%{_includedir}/OpenEXR/OpenEXR_ViewersConfig.h
# already packaged as doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/OpenEXR_Viewers-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README doc/OpenEXRViewers.pdf
%attr(755,root,root) %{_bindir}/exrdisplay
%if %{with cg}
%attr(755,root,root) %{_bindir}/playexr
%endif
%changelog
* Sun Oct 26 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/openexr_viewers.git;a=log;h=auto/th/openexr_viewers-2.2.0-2

* Sun Oct 26 2014 Jan Rękorajski <baggins@pld-linux.org> dd9beee
- release 2 (by relup.sh)

* Sat Aug 30 2014 Jakub Bogusz <qboosh@pld-linux.org> 3f66576
- updated to 2.2.0

* Sun Apr 06 2014 Jakub Bogusz <qboosh@pld-linux.org> 859c3f4
- updated to 2.1.0

* Sun Jul 14 2013 Jakub Bogusz <qboosh@pld-linux.org> b330008
- updated to 2.0.1

* Fri Mar 29 2013 Jakub Bogusz <qboosh@pld-linux.org> a4c8070
- updated to 2.0.0
- removed obsolete gcc4 patch
- added am patch (fixes build with automake 1.13)

* Wed Oct 13 2010 Jakub Bogusz <qboosh@pld-linux.org> 94ffd04
- updated to 1.0.2
- added gcc4 patch

* Sun Jan 13 2008 Jakub Bogusz <qboosh@pld-linux.org> 6d6e093
- new, separated from OpenEXR now

